<!DOCTYPE html>
<html layout:decorator="lecturer/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:text="${course.getSubject().getName()} + ' – ' + #{lecturer.courses.issuedgrades}"></h1>
        <h4 th:text="${course.getSemester().getLabel()} + ', ' + ${course.getSubject().getEcts()} + ' ECTS'"></h4>

        <ul class="collection z-depth-1">
            <li class="collection-item" th:if="${#lists.isEmpty(grades)}"
                th:text="#{lecturer.courses.issuedgrades.zero}"></li>

            <li class="collection-item" th:each="grade : ${grades}">
                <h4 class="secondary-content" th:text="${grade.getMark().getMark()}"></h4>

                <div class="title">
                    <a class="teal-text" th:text="${grade.getStudent().getName()}"></a>
                </div>
                <div>
                    <span th:text="${grade.getStudent().getIdentificationNumber()}"></span>
                    <br/>
                    <span th:text="${grade.getStudent().getEmail()}"></span>
                </div>
            </li>
        </ul>
    </div>

</main>

</body>
</html>
